package org.dromara.system.mapper;

import org.dromara.system.domain.RegionFacilities;
import org.dromara.system.domain.vo.RegionFacilitiesVo;
import org.dromara.common.mybatis.core.mapper.BaseMapperPlus;

import java.util.List;

/**
 * 【请填写功能名称】Mapper接口
 *
 * @author Lion Li
 * @date 2024-12-16
 */
public interface RegionFacilitiesMapper extends BaseMapperPlus<RegionFacilities, RegionFacilitiesVo> {

    Boolean batchDelete(List<String> list);

    Boolean batchDeleteByFacilitiesId(List<String> list);

    List<RegionFacilitiesVo> selectListByFacilitiesBoByRegionId(List<String> list);

}
